Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1101 - egcs-g77 has compatibility problems with f77 apps (xargc, xargv)
Summary: egcs-g77 has compatibility problems with f77 apps (xargc, xargv)
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: egcs
Version: 1.0
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-10 16:03 UTC by Mike Maher
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-30 03:12:28 UTC


Attachments (Terms of Use)

Description Mike Maher 1999-02-10 16:03:24 UTC
Fortran and C apps have problems when going from f2c to g2c
libs. The file unix.c in Spice no longer compiles for
example.

a fortran app using xargc and xargv will no longer work.

g77 docs that explain the differences and using '-lg2c -lm'
instead of
using '-lf2c' and the types of changes are explained here:

<ftp://alpha.gnu.org/g77.plan>

linking with f__xargc should work according to the docs,
however I'm still testing this and I'm having trouble
compiling and getting it to work, note after my changes:

[root@kenny Spice2g6]# cd src/
[root@kenny src]# ls
Makefile        README          spice.f
spice.o         unix.c
Makefile.make   libspice        spice.f.sec     unix-mm.c
unix.c.make
Makefile.win32  mm.h            spice.h
unix-mm.o       unix.o
[root@kenny src]# make
cd libspice ; make
make[1]: Entering directory
`/usr/src/redhat/BUILD/Spice2g6/src/libspice'
make[1]: `libspice.a' is up to date.
make[1]: Leaving directory
`/usr/src/redhat/BUILD/Spice2g6/src/libspice'
gcc -g -O2 spice.o unix.o unix-mm.o libspice/libspice.a -g
-O2 -lg2c -lm
-lc -o spice
unix.o: In function `iopraw_':
/usr/src/redhat/BUILD/Spice2g6/src/unix.c:130: undefined
reference to
`f__argc'
/usr/src/redhat/BUILD/Spice2g6/src/unix.c:131: undefined
reference to
`f__argv'
/usr/src/redhat/BUILD/Spice2g6/src/unix.c:142: undefined
reference to
`f__argc'
collect2: ld returned 1 exit status
make: *** [spice] Error 1

Comment 1 Cristian Gafton 1999-07-28 07:27:59 UTC
assigned to kingdon. I doubt that there are any more Spice problems or
that is anything we can do better.

this bug used to be owned by mike@redhat.com, now timp is the new
maintainer.

Tim, can you verify that spice now compiles okay?

Comment 2 Jim Kingdon 1999-08-30 03:12:59 UTC
Tim, did you check whether spice is now compiling?  I'm not planning
to do anything about this until someone can supply me with a test
case (or, perhaps, more hints about where to find spice - I looked
a bit for a package called "spice" in the distribution or powertools
and didn't see one).


Note You need to log in before you can comment on or make changes to this bug.